openSUSE Security Update : file-roller (openSUSE-SU-2013:1281-1)

Medium Nessus Plugin ID 75099


The remote openSUSE host is missing a security update.


The GNOME file-roller archive tool was updated to fix a path traversal issue while unpacking (CVE-2013-4668). File Roller now sanitizes path names while unpacking, so that a path traversal attack cannot be used to create files outside the unpack destination directory.


Update the affected file-roller packages.

See Also

Plugin Details

Severity: Medium

ID: 75099

File Name: openSUSE-2013-620.nasl

Version: $Revision: 1.3 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2016/05/09

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:file-roller, p-cpe:/a:novell:opensuse:file-roller-debuginfo, p-cpe:/a:novell:opensuse:file-roller-debugsource, p-cpe:/a:novell:opensuse:file-roller-lang, p-cpe:/a:novell:opensuse:nautilus-file-roller, p-cpe:/a:novell:opensuse:nautilus-file-roller-debuginfo, cpe:/o:novell:opensuse:12.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2013/07/24

Reference Information

CVE: CVE-2013-4668

BID: 61008

OSVDB: 94939